<!doctype html>
<html lang="{{ app.request.locale }}">
<head>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  <title>{% block title %}{% endblock %}</title>
  <style media="all">

    @page {
      size: a4 portrait;
      margin: 0;
      padding: 0;
    }

    body {
      font-family: monospace;
      font-size: 16px;
      line-height: 15px;
      text-transform: uppercase;
      text-align: left;
      margin: 0;
      padding: 0;
      overflow: hidden;
      width: 210mm;
      height: 297mm;
    }

    .spaced {
      letter-spacing: 19px;
    }

    #applicant {
      width: 100%;
      height: 810px;
      margin: 10px 0 0;
      padding: 0;
      position: relative;
    }

    #establishment {
      width: 100%;
      padding: 0;
      position: relative;
    }

    .fiscal-code {
      position: absolute;
      padding-left: 4px;
      left: 212px;
      top: 155px;
      width: 450px;
      background-color: unset;
      overflow: hidden;
    }

    .office-code {
      position: absolute;
      padding-left: 4px;
      left: 692px;
      top: 155px;
      width: 80px;
      background-color: unset;
      overflow: hidden;
    }

    .certificate-code {
      position: absolute;
      padding-left: 4px;
      left: 798px;
      top: 155px;
      width: 310px;
      background-color: unset;
      overflow: hidden
    }

    .family-name {
      position: absolute;
      padding-left: 4px;
      left: 212px;
      top: 200px;
      width: 582px;
      background-color: unset;
      overflow: hidden;
    }

    .name {
      position: absolute;
      padding-left: 4px;
      left: 813px;
      top: 200px;
      width: 295px;
      background-color: unset;
      overflow: hidden;
    }

    .birth-day {
      position: absolute;
      padding-left: 4px;
      left: 212px;
      top: 250px;
      width: 228px;
      background-color: unset;
      overflow: hidden;
    }

    .gender {
      position: absolute;
      left: 470px;
      top: 250px;
      width: 27px;
      background-color: unset;
      overflow: hidden;
      text-align: center;
    }

    .birth-place {
      position: absolute;
      left: 529px;
      top: 250px;
      width: 510px;
      background-color: unset;
      overflow: hidden;
    }

    .birth-county {
      position: absolute;
      left: 1058px;
      top: 250px;
      width: 50px;
      background-color: unset;
      overflow: hidden;
      padding-left: 4px;
    }

    .co-obligor-fiscal-code {
      position: absolute;
      padding-left: 4px;
      left: 356px;
      top: 298px;
      width: 452px;
      background-color: unset;
      overflow: hidden;
    }

    .co-obligor-type {
      position: absolute;
      padding-left: 4px;
      left: 1058px;
      top: 298px;
      width: 50px;
      background-color: unset;
      overflow: hidden;
    }

    .payments {
      position: absolute;
      list-style-type: none;
      padding: 0px;
      left: 0px;
      top: 352px;
      line-height: 23px;
      width: 1150px;
    }

    .section {
      margin-left: 48px;
      padding-left: 15px;
      display: inline-block;
      width: 55px;
      background-color: unset;
    }

    .tax-code {
      margin-left: 14px;
      padding-left: 4px;
      display: inline-block;
      width: 64px;
      background-color: unset;
    }

    .organization-code {
      margin-left: 0px;
      padding-left: 6px;
      display: inline-block;
      width: 80px;
      letter-spacing: 12px;
      background-color: unset;
    }

    .redemption, .properties-variation, .advance-payment, .full-payment {
      margin-left: 4px;
      display: inline-block;
      width: 26px;
      text-align: center;
      background-color: unset;
    }

    .properties-number {
      margin-left: 3px;
      display: inline-block;
      width: 34px;
      text-align: center;
      background-color: unset;
    }

    .month {
      margin-left: 0px;
      padding-left: 5px;
      display: inline-block;
      width: 65px;
      background-color: unset;
    }

    .year {
      margin-left: 0px;
      padding-left: 5px;
      display: inline-block;
      width: 66px;
      background-color: unset;
    }

    .deduction-integer {
      padding-left: 5px;
      display: inline-block;
      width: 60px;
      text-align: right;
      background-color: unset;
    }

    .deduction-decimal {
      margin-left: 0;
      display: inline-block;
      width: 25px;
      letter-spacing: 2px;
      background-color: unset;
    }

    .debit-integer {
      margin-left: 3px;
      padding-left: 0;
      display: inline-block;
      width: 124px;
      text-align: right;
      background-color: unset;
    }

    .debit-decimal {
      margin-left: 0;
      display: inline-block;
      width: 25px;
      letter-spacing: 2px;
      background-color: unset;
    }

    .credit-integer {
      margin-left: -4px;
      padding-left: 0;
      display: inline-block;
      width: 124px;
      text-align: right;
      background-color: unset;
    }

    .credit-decimal {
      margin-left: 0;
      display: inline-block;
      width: 25px;
      letter-spacing: 2px;
      background-color: unset;
    }

    .total-amount-integer {
      position: absolute;
      padding: 0px;
      left: 958px;
      top: 610px;
      text-align: right;
      width: 122px;
      background-color: unset;
    }

    .total-amount-decimal {
      position: absolute;
      padding: 0px;
      left: 1088px;
      top: 610px;
      letter-spacing: 2px;
      width: 25px;
      background-color: unset;
    }

    body {
      background-image:  url("{{ absolute_url(asset('bundles/app/images/background-f24.jpg')) }}");
      background-size:   cover;
      background-repeat: no-repeat;
      background-position: top center;
    }
  </style>
</head>
<body>

  {% for step in ['applicant', 'establishment'] %}
    <div id="{{ step }}">
      <div class="spaced fiscal-code">{{ pratica.user.codiceFiscale }}</div>
      <div class="spaced office-code">{{ pratica.dematerializedForms.data.administration_code }}</div>
      <div class="spaced certificate-code">&nbsp;</div>
      <div class="family-name">{{ pratica.user.cognome }}</div>
      <div class="name">{{ pratica.user.nome }}</div>
      <div class="spaced birth-day">{{ pratica.user.dataNascita|date('dmY') }}</div>
      <div class="gender">{{ pratica.user.sesso }}</div>
      <div class="birth-place">{{ pratica.user.luogoNascita }}</div>
      <div class="spaced birth-county">{{ pratica.user.provinciaNascita }}</div>

      {% if pratica.dematerializedForms.data.coobligated_presence is defined and pratica.dematerializedForms.data.coobligated_presence %}
        <div class="spaced co-obligor-fiscal-code">{{ pratica.dematerializedForms.data.coobligated.data.tax_id }}</div>
        <div class="spaced co-obligor-type">{{ pratica.dematerializedForms.data.coobligated_type }}</div>
      {% endif %}

      {% if pratica.dematerializedForms.data.tributes|length > 0 %}
        <ul class="payments">
          {% for tribute in pratica.dematerializedForms.data.tributes %}
            <li>
              <span class="section spaced">{{ pratica.dematerializedForms.data.section }}</span>
              <span class="tax-code">{{ tribute.tax_code }}</span>
              <span class="organization-code">{{ pratica.dematerializedForms.data.municipality_code }}</span>
              <span class="redemption">{% if tribute.repentance %}X{% else %}&nbsp;{% endif %}</span>
              <span class="properties-variation">&nbsp;</span>
              <span class="advance-payment">{% if tribute.payment_type == 'acconto' %}X{% else %}&nbsp;{% endif %}</span>
              <span class="full-payment">{% if tribute.payment_type == 'saldo' or tribute.payment_type == 'totale' %}X{% else %}&nbsp;{% endif %}</span>
              <span class="properties-number">{{ tribute.building_number }}</span>
              <span class="month"> {# { tribute.current_installment }}/{{ tribute.installments_amount }#}</span>
              <span class="year">{{ tribute.payment_year }}</span>

              {% if tribute.detraction_amount %}
                {% set deduction = tribute.detraction_amount|split('.') %}
                <span class="deduction-integer">{{ deduction[0] }}</span>
                {% if deduction[1] is defined %}
                  <span class="deduction-decimal">{{ deduction[1] }}</span>
                {% else %}
                  <span class="deduction-decimal">00</span>
                {% endif %}
              {% else %}
                <span class="deduction-integer">&nbsp;</span>
                <span class="deduction-decimal">&nbsp;</span>
              {% endif %}

              {% set debt = tribute.debt_amount|split('.') %}
              <span class="debit-integer">{{ debt[0] }}</span>
              {% if debt[1] is defined %}
                <span class="debit-decimal">{{ debt[1] }}</span>
              {% else %}
                <span class="debit-decimal">00</span>
              {% endif %}

              <span class="credit-integer">&nbsp;</span>
              <span class="credit-decimal">&nbsp;</span>
            </li>
          {% endfor %}
        </ul>


        {% set total_amount = pratica.dematerializedForms.data.total_owed_amount|split('.') %}
          <div class="total-amount-integer">{{ total_amount[0] }}</div>
        {% if total_amount[1] is defined %}
          <div class="total-amount-decimal">{{ total_amount[1] }}</div>
        {% else %}
          <div class="total-amount-decimal">00</div>
        {% endif %}
      {% endif %}
    </div>
  {% endfor %}

</body>
</html>
